%define srcname   Paste
%define pypi_name paste

Name:           python-%{pypi_name}
Version:        3.5.0
Release:        %mkrel 4
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/Paste/
Source0:        %{pypi_source}
BuildArch:      noarch
# for docs
BuildRequires:  python3dist(sphinx)

%description
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%package -n     python3-%{pypi_name}
Summary:        Tools for using a Web Server Gateway Interface stack
Group:          Development/Python
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-pkg-resources

%description -n python3-%{pypi_name}
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.
This is the Python 3 build of %{pypi_name}.

%files -n python3-%{pypi_name}
%doc html/
%{python3_sitelib}/paste
%{python3_sitelib}/Paste-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/Paste-%{version}-py%{python3_version}-nspkg.pth

%prep
%setup -q -n %{srcname}-%{version}
%{__sed} -i -e '/^#!.*/,1 d' paste/util/scgiserver.py paste/debug/doctest_webapp.py

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

sphinx-build-3 -b html docs html
rm -f html/.buildinfo

%install
%py3_install


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 3.5.0-4.mga9
+ Revision: 1832824
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.5.0-3.mga9
+ Revision: 1783390
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.5.0-2.mga9
+ Revision: 1732790
- Rebuild for python 3.9

* Sun Nov 08 2020 guillomovitch <guillomovitch> 3.5.0-1.mga8
+ Revision: 1643765
- new version 3.5.0

* Fri Oct 23 2020 daviddavid <daviddavid> 3.4.4-1.mga8
+ Revision: 1638950
- new version: 3.4.4

* Tue Mar 31 2020 daviddavid <daviddavid> 3.4.0-1.mga8
+ Revision: 1562658
- new version: 3.4.0

* Thu Feb 20 2020 umeabot <umeabot> 3.3.0-2.mga8
+ Revision: 1547276
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1487789
- new version: 3.3.0

* Fri Jan 31 2020 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1485703
- new version: 3.2.4

* Sat Oct 26 2019 daviddavid <daviddavid> 3.2.2-1.mga8
+ Revision: 1455871
- new version: 3.2.2

* Wed Oct 02 2019 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1448754
- new version: 3.2.1

* Mon Sep 16 2019 daviddavid <daviddavid> 3.0.8-2.mga8
+ Revision: 1441855
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 3.0.8-1.mga7
+ Revision: 1393599
- new version 3.0.8

* Sat Jan 12 2019 daviddavid <daviddavid> 3.0.6-1.mga7
+ Revision: 1355359
- rename python-paste to python2-paste
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1289650
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.0.2-2.mga7
+ Revision: 1135540
- Rebuild for python 3.6

* Fri Dec 18 2015 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 911557
- new version: 2.0.2
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.7.5.1-10.mga5
+ Revision: 742879
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.5.1-9.mga5
+ Revision: 729311
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.5.1-8.mga5
+ Revision: 688205
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.7.5.1-6.mga4
+ Revision: 545015
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7.5.1-5.mga4
+ Revision: 500607
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.7.5.1-4.mga3
+ Revision: 379248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.7.5.1-3.mga3
+ Revision: 313536
- imported package python-paste


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.7.5.1-3mdv2011.0
+ Revision: 649508
- Fix group.
- Build docs properly.
  Require pkg_resources.

* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 1.7.5.1-2mdv2011.0
+ Revision: 591770
- Rebuild

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.5.1-1mdv2011.0
+ Revision: 587726
- update to new version 1.7.5.1

* Tue Sep 14 2010 Crispin Boylan <crisb@mandriva.org> 1.7.4-1mdv2011.0
+ Revision: 578207
- 1.7.4
- New release

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.7.2-3mdv2010.0
+ Revision: 442336
- rebuild

* Fri Dec 26 2008 Crispin Boylan <crisb@mandriva.org> 1.7.2-2mdv2009.1
+ Revision: 319379
- Rebuild for python2.6

* Thu Dec 04 2008 Crispin Boylan <crisb@mandriva.org> 1.7.2-1mdv2009.1
+ Revision: 309938
- Correct group
- Initial mdv package
- create python-paste

